## python-pybox2d 2.0.2-svn224

=== debian/changelog ===
python-pybox2d (2.0.2-svn224) unstable; urgency=low

  * Initial release

 -- Andrew Godwin <andrew@aeracode.org>  Thu, 31 Dec 2009 11:53:39 +0000
