=== debian/control ===
Source: python-pybox2d
Priority: extra
Maintainer: Andrew Godwin <andrew@aeracode.org>
Build-Depends: debhelper (>= 5), python-dev, libbox2d-dev, swig, python-setuptools
Standards-Version: 3.7.2
Section: libs

Package: python-pybox2d
Section: libs
Architecture: all
Depends: libbox2d-dev
Description: Python bindings for the Box2D physics library
 Provides Python bindings for the Box2D physics library
