## python-pybox2d 2.0.2-svn224-2

=== debian/changelog ===
python-pybox2d (2.0.2-svn224-2) unstable; urgency=low

  * Fix architecture issues and me generally being bad at debian/control

 -- Andrew Godwin <andrew@aeracode.org>  Mon,  4 Jan 2010 22:06:22 +0000
