=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: python-pybox2d
 Section: libs
-Architecture: all
+Architecture: any
 Depends: libbox2d-dev
 Description: Python bindings for the Box2D physics library
  Provides Python bindings for the Box2D physics library
